Loading...
Searching...
No Matches
netlink_pm_upstream.c File Reference

Upstream kernel generic netlink path manager details. More...

`#include <assert.h>`
`#include <errno.h>`
`#include <sys/socket.h>`
`#include <ell/ell.h>`
`#include <mptcpd/types.h>`
`#include <mptcpd/listener_manager.h>`
`#include <mptcpd/path_manager.h>`
`#include <mptcpd/private/netlink_pm.h>`
`#include <mptcpd/private/path_manager.h>`
`#include <mptcpd/private/addr_info.h>`
`#include <mptcpd/private/sockaddr.h>`
`#include <mptcpd/private/mptcp_upstream.h>`
`#include "commands.h"`
`#include "netlink_pm.h"`
`#include "path_manager.h"`
Include dependency graph for netlink_pm_upstream.c:

## Classes

struct | addr_info
struct | remove_info
struct | get_addr_user_callback
| Convenience struct for passing addr to user callback. More...
struct | get_limits_user_callback
| Convenience struct for passing limits to user callback. More...

## Functions

struct mptcpd_netlink_pm const * | mptcpd_get_netlink_pm (void)
| Get MPTCP generic netlink path manager characteristics.

## Detailed Description

Upstream kernel generic netlink path manager details.

Copyright (c) 2020-2022, Intel Corporation